Bug 508663 - S-c-tools cleanup: menu item Program should be called File as usual
S-c-tools cleanup: menu item Program should be called File as usual
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
Blocks: 493611
  Show dependency treegraph
 
Reported: 2009-06-29 07:49 EDT by Roman Rakus
Modified: 2016-08-11 07:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 07:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-06-29 07:49:17 EDT
Description of problem:
There is menu Program but should File as usual

How reproducible: 

Steps to Reproduce:
1.  run system-config-services
2. 
3. 

Actual results:
There is Program in menu

Expected results:
Should be File

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Nils Philippsen 2009-06-29 09:21:38 EDT
According to the GNOME HIG -- http://library.gnome.org/devel/hig-book/stable/menus-standard.html.en -- this entry should only be called file if the is operating on files, which isn't the case here, thus "Program".
Comment 2 Nils Philippsen 2009-07-06 06:01:05 EDT
Hmm, you got me thinking: perhaps that menu item should be called "Services Manager" -- what do you think?
Comment 3 Roman Rakus 2009-07-13 09:55:41 EDT
You got me thinking too :)
"Services Manager" seems to be too much long. Most applications have it called "File", but truth is that some has it called by its name.
But our point of view should be that we want all system-config-tools to be as much consistent as it is possible. All of them should have it called "File". So call it "File"
Comment 4 Nils Philippsen 2009-07-20 07:58:01 EDT
Calling it "File" is completely misleading and I don't buy the argument people would be confused just because it's not called "File". So it either stays "Program" or gets changed to something more suitable. Suggestions?
Comment 5 Nils Philippsen 2009-07-20 08:03:08 EDT
BTW: Neither should (most) other configuration tools label this "File" because while they may be operating on configuration files, this is a detail users shouldn't be concerned with (e.g. Samba version 4 will use some kind of a registry for configuration). I've checked my other tools and they have this same misleading "File" entry...
Comment 6 Jaroslav Reznik 2009-07-20 08:58:54 EDT
"File" is really misleading when there's no direct file operation connection. But it's common practise to use it (even there's only "Quit" item - again bad to mix it with file operations, often settings etc...). In Gnome HIG [1] it's stated that window should have at least to menu items - "File" and "Help". We are trying to be similar to Gnome UI design guidelines but not all. If we can have better label, let's go and use it, +1, but then all similar applications should be updated for consistency...

[1] http://library.gnome.org/devel/hig-book/stable/menus-menubar.html.en
Comment 7 Roman Rakus 2009-07-29 07:18:14 EDT
I don't know if user will be more confused by misleading (and used) "File" label than well fit (and don't used) 'better' label.
But there is question what fits the best?
"Program" is too much common and misleading.
"Services" is nice short but misleading.
"Services Manager" fits well but is too much long. And guideline says to use single words.

There should be something between "Services" and "Services Manager". But I don't have any clue :(
Comment 8 Nils Philippsen 2009-07-29 10:51:40 EDT
(In reply to comment #7)
> I don't know if user will be more confused by misleading (and used) "File"
> label than well fit (and don't used) 'better' label.
> But there is question what fits the best?
> "Program" is too much common and misleading.
> "Services" is nice short but misleading.

Not really, if I understand the guidelines correctly, cf. http://library.gnome.org/devel/hig-book/stable/menus-standard.html.en :

"If your application does not operate on documents, name this item for the type of object it displays."

--> "Services" seems appropriate to me in this case.

E.g. s-c-users would be more difficult then as only single words are permissible.

What do you think?
Comment 9 Nils Philippsen 2009-07-29 10:53:11 EDT
(In reply to comment #8)
> E.g. s-c-users would be more difficult then as only single words are
> permissible.

... and it deals with users _and_ groups.
Comment 10 Bug Zapper 2009-11-16 05:31:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 06:55:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Nils Philippsen 2016-08-11 07:54:26 EDT
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for
that.

Because I don't actively develop system-config-services anymore, I won't likely
find the time to work on this ticket, so I'll close it now.

Note You need to log in before you can comment on or make changes to this bug.